/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package vclaimreference

import (
	e "simrs-vx/internal/domain/bpjs-entities/vclaim-reference"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.VclaimReference) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Date = inputSrc.Date
	data.SrcCode = inputSrc.SrcCode
	data.SrcName = inputSrc.SrcName
	data.Number = inputSrc.Number
}
